Skip to content
OpenPostDocs
OpenPostDocs
Messaging

List messages in a stored conversation

GET/messages/{conversation_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

conversation_id*string

Query Parameters

workspace_id*string
limit?integer
Formatint64
Range1 <= value <= 200
Default100
offset?integer
Formatint64
Range0 <= value
Default0
cursor?string

Opaque cursor for stable older-page pagination

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/messages/string?workspace_id=string"
{  "$schema": "https://example.com/api/v1/schemas/MessagePage.json",  "conversation": {    "archived_at": "2019-08-24T14:15:22Z",    "counterpart_avatar_url": "string",    "counterpart_handle": "string",    "counterpart_name": "string",    "counterpart_remote_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "id": "string",    "last_message_at": "2019-08-24T14:15:22Z",    "last_message_preview": "string",    "last_remote_message_id": "string",    "messaging_window_expires_at": "2019-08-24T14:15:22Z",    "platform": "string",    "read_at": "2019-08-24T14:15:22Z",    "remote_conversation_id": "string",    "social_account_id": "string",    "unread_count": 0,    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "string"  },  "history_available": true,  "items": [    {      "$schema": "https://example.com/api/v1/schemas/DirectMessage.json",      "attachments_json": "string",      "author_remote_id": "string",      "body": "string",      "client_operation_id": "string",      "conversation_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "direction": "string",      "error_message": "string",      "id": "string",      "provider_read_at": "2019-08-24T14:15:22Z",      "remote_created_at": "2019-08-24T14:15:22Z",      "remote_message_id": "string",      "send_status": "string",      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    }  ],  "next_cursor": "string"}